var EddCmCookies = Cookies.noConflict();

(function($, Cookies, undefined) {

	if (!Function.prototype.bind) {
		Function.prototype.bind = function(oThis) {
			if (typeof this !== 'function') {
				// closest thing possible to the ECMAScript 5
				// internal IsCallable function
				throw new TypeError('Function.prototype.bind - what is trying to be bound is not callable');
			}

			var aArgs   = Array.prototype.slice.call(arguments, 1),
				fToBind = this,
				fNOP    = function() {},
				fBound  = function() {
					return fToBind.apply(this instanceof fNOP
							? this
							: oThis,
							aArgs.concat(Array.prototype.slice.call(arguments)));
				};

			if (this.prototype) {
				// native functions don't have a prototype
				fNOP.prototype = this.prototype; 
			}
			fBound.prototype = new fNOP();

			return fBound;
		};
	}

	window.eddCmAjax = function( command, args, callback ) {
		$.ajax({
			url: window.ajaxurl,
			type: 'POST',
			data: {
				action: 'edd_cm_ajax',
				edd_cm: { command: command, args: args }
			},
			success: function( a1, a2, a3 ) {
				callback( a1, a2, a3 );
			},
			error: function() {
				console.error('EDD CM > Error in AJAX response');
				console.error(arguments);
			},
			dataType: 'json'
		});
	};

	$(document).ready( function() {
		window.eddCmMessages = new EddCmMessagesList(
			'#edd-cm-settings',
			'#edd-cm-settings-value',
            Cookies
		);
	});

})(jQuery, EddCmCookies);
