<?php

namespace EddCm\Controllers;

/**
 * Conditions controller class.
 */
class ConditionsController extends AbstractController {

	/**
	 * The registered condition types.
	 * 
	 * @var array
	 */
	protected $_conditionTypes;

	/**
	 * Constructor.
	 */
	public function __construct() {
		parent::__construct('Conditions');
	}

	/**
	 * Initialization method called on hook:action:edd_cm_controllers_loaded
	 */
	public function init() {
		$this->_conditionTypes = array();
	}

	/**
	 * Registers a condition type.
	 * 
	 * @param mixed $arg Condition classname or object instance.
	 */
	public function registerConditionType( $arg ) {
		$classname = is_object( $arg )? get_class( $arg ) : $arg;
		$this->_conditionTypes[ $classname ] = $classname::getDescription();
	}

	/**
	 * Gets allthe registered condition types.
	 * 
	 * @return array
	 */
	public function getConditionTypes() {
		return $this->_conditionTypes;
	}

}

// Create a new controller instance
new ConditionsController();
