<?php

namespace EddCm\Controllers;

/**
 * Operators controller class.
 */
class OperatorsController extends AbstractController {

	/**
	 * The registered operator types.
	 * 
	 * @var array
	 */
	protected $_operatorTypes;

	/**
	 * Constructor.
	 */
	public function __construct() {
		parent::__construct('Operators');
	}

	/**
	 * Initialization method called on hook:action:edd_cm_controllers_loaded
	 */
	public function init() {
		$this->_operatorTypes = array();
	}

	/**
	 * Registers an operator type.
	 * 
	 * @param mixed $arg Operator classname or object instance.
	 */
	public function registerOperatorType( $arg ) {
		$classname = is_object( $arg )? get_class( $arg ) : $arg;
		$this->_operatorTypes[] = $classname;
	}

	/**
	 * Gets allthe registered operator types.
	 * 
	 * @return array
	 */
	public function getOperatorTypes() {
		return $this->_operatorTypes;
	}

}

// Create a new controller instance
new OperatorsController();
