<?php

namespace EddCm\Exceptions;

/**
 * Singleton reinstantiation exception.
 */
class GeneralException extends \Exception {

	/**
	 * Constructor.
	 * 
	 * @param string    $msg      The exception message.
	 * @param integer   $code     The exception error code.
	 * @param Exception $previous The previous exception if nested
	 */
	public function __construct( $msg, $code = 1, $previous = null ) {
		parent::__construct( $msg, $code, $previous );
	}

	/**
	 * Callback called when the exception is called.
	 */
	public function onThrown() {
		wp_die( sprintf( '%s<br/><pre>%s</pre>', $this->getMessage(), $this->getTraceAsString() ) );
	}

}
