<?php

namespace EddCm\Exceptions;
use \EddCm\Main;

/**
 * Singleton reinstantiation exception.
 */
class SingletonReinstantiation extends GeneralException {

	/**
	 * Classname.
	 * 
	 * @param string $classname The name of the singleton-patterned class that was reinstantiated.
	 */
	public function __construct( $classname ) {
		parent::__construct(
			sprintf(
				__( 'The %s singleton instance cannot be reinstantiated.', Main::TEXT_DOMAIN ),
				$classname
			)
		);
	}

}
