<?php

namespace EddCm;

/**
 * This class is responsible for setting/loading the text domain for text localization.
 *
 * @package EDD_Bookings
 */
class I18n {
	
	/**
	 * The plugin text domain in use.
	 */
	private $_domain;
	
	/**
	 * Constructor.
	 * 
	 * @param string $domain Optional text domain. Default: ''
	 */
	public function __construct( $domain = '' ) {
		$this->setDomain( $domain );
	}

	/**
	 * Loads the plugin text domain.
	 */
	public function loadTextDomain() {
		load_plugin_textdomain(
			$this->_domain,
			false,
			FileLoader::path( EDDCM_MAIN_DIR, Main::LANG_PATH )
		);
	}
	
	/**
	 * Sets the plugin text domain.
	 *
	 * @param string $domain The text domain.
	 */
	public function setDomain( $domain ) {
		$this->_domain = $domain;
	}
	
}
