<?php

namespace EddCm\Lib\Base;

/**
 * Abstract class for a condition.
 */
abstract class AbstractAction extends AbstractConditionalObject implements Action {

	/**
	 * Executes the action.
	 * 
	 * @param array $args The arguments to use when executing the action.
	 */
	public function exec($args = array()) {
		if ($this->evaluateConditions()) {
			return $this->_exec($args);
		}
	}

	/**
	 * Internal exec method for overriding.
	 * 
	 * @param array $args The arguments to use when executing the action.
	 */
	abstract protected function _exec($args = array());
	
}
