<?php

namespace EddCm\Operators;
use EddCm\Lib\Base\AbstractOperator;

/**
 * An equals operator. Peforms equivalence comparison on two operands.
 */
class EqualsOperator extends AbstractOperator {

	/**
	 * Internal, overidden, evaluation method.
	 * 
	 * @param  array   $operands The operands to use for evaluation.
	 * @return boolean           True if the operands are equal, false otherwise.
	 */
	protected function _evaluate( $operands = array() ) {
		if ( count( $operands ) !== 2 ) return false;
		list( $operand1, $operand2 ) = $operands;
		return $operand1 == $operand2;
	}

	/**
	 * Gets the operator's textual or symbol representation.
	 * 
	 * @return string
	 */
	public static function getRepresentation() {
		return '=';
	}

}

// Register the Operator type
add_action( 'edd_cm_controllers_loaded', 'EddCm\Operators\EqualsOperator::register' );