<?php

namespace EddCm\Lib\Styles;
use \EddCm\Lib\Base\AbstractStyle;

/**
 * Base style for EDD message styles.
 */
abstract class EddStyleAbstract extends AbstractStyle {

	/**
	 * The chosen style type
	 * 
	 * @var string
	 */
	protected $_type;

	/**
	 * Constructor.
	 */
	public function __construct( $type = '' ) {
		parent::__construct();
		$this->setType( $type );
		$this->_view = 'EddMessageStyle';
	}

	/**
	 * Sets the style type.
	 * 
	 * @param string $type The new style type.
	 */
	public function setType( $type ) {
		$this->_type = $type;
		return $this;
	}

	/**
	 * Gets the style type.
	 * 
	 * @return string The style type.
	 */
	public function getType() {
		return $this->_type;
	}

	/**
	 * Gets the viewbag.
	 *
	 * This will add the message style type to the view bag.
	 * 
	 * @return array        The viewbag array.
	 */
	protected function _getViewbag() {
		return array(
			'type'	=>	$this->_type
		);
	}

}
