<?php

namespace EddCm\Views;
use \EddCm\Main;

	$conditionTypes = Main::getInstance()->getController('Conditions')->getConditionTypes();
	$conditionTypeOptions = '<option value="">---</option>';
	foreach ( $conditionTypes as $classname => $desc ) {
		$conditionTypeOptions .= sprintf( '<option value="%s">%s</option>', $classname, $desc );
	}

	$messageStyles = Main::getInstance()->getController('Messages')->getStyles();
	$messageStyleOptions = sprintf( '<option value="">%s</option>', __( 'Default', Main::TEXT_DOMAIN ) );
	foreach ( $messageStyles as $classname => $name ) {
		$messageStyleOptions .= sprintf( '<option value="%s">%s</option>', $classname, $name );
	}

	$text_domain = Main::TEXT_DOMAIN;
	$r = Main::getInstance()->getController('Settings')->get();
	$savedSettings = esc_attr( json_encode( $r ) );
?>

<div id="edd-cm-settings">
	<input id="edd-cm-settings-value" type="hidden" name="edd_settings[cm_messages]" value="<?php echo $savedSettings; ?>" />
</div>

<div id="edd-cm-templates">

	<?php // Template for messages container ?>
	<div id="edd-cm-messages-container-template">
		<div class="edd-cm-messages-container">
			<p class="edd-cm-no-messages">
				<?php
					echo sprintf(
						'%s<br/>%s',
						__( 'To add a message, click the below button.', $text_domain ),
						__( 'You will then be presented with options for setting the message text, style and conditions for that message.', $text_domain )
					);
				?>
			</p>
			<ul class="messages"></ul>
			<button class="button add-message-button" type="button">
				<i class="fa fa-plus"></i> <?php _e( 'New message', $text_domain ); ?>
			</button>
		</div>
	</div>

	<?php // Template for a conditional entry ?>
	<div id="edd-cm-conditional-template">
		<li class="conditional">
			<div class="or-label">
				<span><?php _e( 'OR', $text_domain ); ?></span>
			</div>
			<div class="content"></div>
			<div class="buttons">
				<button class="button toggle-conditions-button" type="button" title="<?php _e( 'Show/hide conditions for this entry.', $text_domain ); ?>">
					<i class="fa fa-caret-up"></i>
				</button>
				<button class="button delete-button" type="button" title="<?php _e( 'Delete this entry and all of its conditions.', $text_domain ); ?>">
					<i class="fa fa-trash"></i>
				</button>
			</div>
			<div class="toggleable-section">
				<div class="condition-labels">
					<p class="if-message has-conditions"><?php _e( 'Conditions:', $text_domain ); ?></p>
					<p class="if-message no-conditions"><?php _e( 'There are no conditions for this message.', $text_domain ); ?></p>
					<p class="if-condition has-conditions"><?php _e( 'AND', $text_domain ); ?></p>
				</div>
				<button class="button add-condition-button" type="button" title="<?php _e( 'Add a condition for this entry', $text_domain ); ?>">
					<i class="fa fa-plus"></i>
					<?php _e( 'Add Condition', $text_domain ); ?>
				</button>
				<ul class="conditions"></ul>
			</div>
		</li>
	</div>

	<?php // Message-type conditional template ?>
	<div id="edd-cm-message-template">
		<input class="message" type="text" placeholder="<?php _e( 'Enter message', $text_domain ); ?>" />
		<div class="styles-container">
			<label>
				<?php _e( 'Message Style:', $text_domain ); ?>
			</label>
			<select class="style">
				<?php echo $messageStyleOptions; ?>
			</select>
		</div>
	</div>

	<?php // Condition-type conditional template ?>
	<div id="edd-cm-condition-template">
		<button class="button condition-negate-button" type="button" title="<?php _e( 'Negate this condition.', $text_domain ); ?>">
			<?php _e( 'Not', $text_domain ); ?>
		</button>
		<select class="condition">
			<?php echo $conditionTypeOptions; ?>
		</select>
        <div class="fields"></div>
	</div>

    <?php // ?>
    <div id="edd-cm-condition-fields-loading-template">
        <label><?php _e('Loading...', 'eddcm'); ?></label>
    </div>

</div>
